petsc-3.6.2 2015-10-02
Report Typos and Errors

# VecSetUp

Sets up the internal vector data structures for the later use.

### Synopsis

    #include "petscvec.h"
    PetscErrorCode  VecSetUp(Vec v)

Collective on Vec

### Input Parameters

v -the Vec context

### Notes

For basic use of the Vec classes the user need not explicitly call VecSetUp(), since these actions will happen automatically.

### Keywords

Vec, setup

### See Also

VecCreate(), VecDestroy()

Level:advanced
Location:src/vec/vec/interface/vector.c
Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/vec/is/sf/examples/tutorials/ex2.c.html
src/ksp/ksp/examples/tutorials/ex56.c.html
src/ts/examples/tutorials/ex31.c.html
src/ts/examples/tutorials/ex31.c.html